Partially update a webhook by ID.
ApiKeyAuthorizationBearer <token>Your API key from the Developers section of your account, sent as a bearer token.
id*stringObject ID (UUID)
uuidapplication/json- body
Defines a webhook rule to an external server. The callback URL will receive a POST request with the related object's (e.g. Purchase for purchase.* webhooks) data in body when any of the events (see the description of events field below) it is configured to listen for are triggered.
The payload object will additionally include an "event_type" field to indicate which event type (see the Webhook.events field) triggered the webhook.
Note that, as well as with the rest of dataset, test and live Webhooks are separate; test webhooks will not handle events caused by live Purchases, and vice-versa.
title*stringArbitrary title of webhook
length <= 100all_events?booleanSpecifies this webhook should trigger on all event types. Either this or events is required.
falseevents*array<>List of events to trigger webhook callbacks for. Either this or all_events is required.
1 <= itemscallback*URLurllength <= 500OK
application/json- response
Defines a webhook rule to an external server. The callback URL will receive a POST request with the related object's (e.g. Purchase for purchase.* webhooks) data in body when any of the events (see the description of events field below) it is configured to listen for are triggered.
The payload object will additionally include an "event_type" field to indicate which event type (see the Webhook.events field) triggered the webhook.
Note that, as well as with the rest of dataset, test and live Webhooks are separate; test webhooks will not handle events caused by live Purchases, and vice-versa.
type?stringObject type identifier
id?stringuuidcreated_on?integerObject creation time
Unix timestamp (seconds)updated_on?integerObject last modification time
Unix timestamp (seconds)title*stringArbitrary title of webhook
length <= 100all_events?booleanSpecifies this webhook should trigger on all event types. Either this or events is required.
falsepublic_key?PublicKeyPEM-encoded RSA public key for authenticating webhook or callback payloads
events*array<>List of events to trigger webhook callbacks for. Either this or all_events is required.
1 <= itemscallback*URLurllength <= 500curl -X PATCH 'https://gate.reviopay.com/api/v1/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/' \ -H 'Content-Type: application/json' \ -d '{ "title": "string", "events": [ "purchase.created" ], "callback": "string"}'{ "type": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "created_on": 1619740800, "updated_on": 1619740800, "title": "string", "all_events": false, "public_key": "-----BEGIN PUBLIC KEY-----\nMIIBojANBgkqhkiG9w0BAQEFAAOCAY8AMIIBigKCAYEA6gLlBKxCB5dxPJbinCzl\nhOfKSgQtOWQQBxmnWIkEVUbqhpnqr3xNYiAvDyMUxYUwuzN44eHO+mR9MZWcSx3c\nbXmKa3gsOzR6GdcOxMGaVxvfje+fujCAlCtO1BP+A9/FS3KcPgCYG1wtAPwA5IAf\nHylL3TsUVIJQFBgiBr6N4Bgapr9eloaFfeYIBRsXmxPKAMJivqxYpLh0V3N4ZFd5\nTGqSEAa4b1ULDr6p0sB2L3QikTdsF0zp03zNceKA6fXDOzD0xWtg9buXvyKwePK4\nM2kcnWBNfsWghrdg0fG3O9bmkaS1oEXydrmJfuiI8h6a64J/1nzooi2yLC9D6Ta0\nS63bbuAHymnQtiNuV7Ixp6IoTGFaS88aTiHaP8rdyWV8JTDFx0qeDzyaGWiYGwEF\nmj/buHCEcRhoajbGkPhYA4YEdn4jy1wZhEr2OMdBPM7mPPI0Hy3hcNJVMVVlrpHe\nIltQATpjlNaJMlRPjbcaiW7dsO3BuF9ZOMGksSOnyYm/AgMBAAE=\n-----END PUBLIC KEY-----", "events": [ "purchase.created" ], "callback": "string"}